diff --git a/gcc/config/rx/rx.c b/gcc/config/rx/rx.c
index 4242c1a..b2cca7f 100644
--- a/gcc/config/rx/rx.c
+++ b/gcc/config/rx/rx.c
@@ -169,7 +169,7 @@ rx_legitimize_address (rtx x,
 static bool
 rx_small_data_operand (rtx op)
 {
-  if (rx_small_data_limit == 0)
+  if (GCC_OPTION (rx_small_data_limit) == 0)
     return false;
 
   if (GET_CODE (op) == SYMBOL_REF)
@@ -1250,7 +1250,7 @@ rx_conditional_register_usage (void)
       fixed_regs[rx_pid_base_regnum_val] = call_used_regs [rx_pid_base_regnum_val] = 1;
     }
 
-  if (rx_small_data_limit > 0)
+  if (GCC_OPTION (rx_small_data_limit) > 0)
     {
       if (TARGET_PID)
 	rx_gp_base_regnum_val = rx_pid_base_regnum_val - 1;
@@ -1365,7 +1365,7 @@ rx_set_current_function (tree fndecl)
       target_reinit ();
     }
 
-  if (current_is_fast_interrupt && rx_warn_multiple_fast_interrupts)
+  if (current_is_fast_interrupt && GCC_OPTION (rx_warn_multiple_fast_interrupts))
     {
       /* We do not warn about the first fast interrupt routine that
 	 we see.  Instead we just push it onto the stack.  */
@@ -1635,15 +1635,15 @@ mark_frame_related (rtx insn)
 static bool
 ok_for_max_constant (HOST_WIDE_INT val)
 {
-  if (rx_max_constant_size == 0  || rx_max_constant_size == 4)
+  if (GCC_OPTION (rx_max_constant_size) == 0  || GCC_OPTION (rx_max_constant_size) == 4)
     /* If there is no constraint on the size of constants
        used as operands, then any value is legitimate.  */
     return true;
 
   /* rx_max_constant_size specifies the maximum number
      of bytes that can be used to hold a signed value.  */
-  return IN_RANGE (val, (-1 << (rx_max_constant_size * 8)),
-		        ( 1 << (rx_max_constant_size * 8)));
+  return IN_RANGE (val, (-1 << (GCC_OPTION (rx_max_constant_size) * 8)),
+		        ( 1 << (GCC_OPTION (rx_max_constant_size) * 8)));
 }
 
 /* Generate an ADD of SRC plus VAL into DEST.
@@ -1702,7 +1702,7 @@ rx_expand_prologue (void)
 
   rx_get_stack_layout (& low, & high, & mask, & frame_size, & stack_size);
 
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     current_function_static_stack_size = frame_size + stack_size;
 
   /* If we use any of the callee-saved registers, save them now.  */
@@ -2161,7 +2161,7 @@ rx_in_small_data (const_tree decl)
   int size;
   const_tree section;
 
-  if (rx_small_data_limit == 0)
+  if (GCC_OPTION (rx_small_data_limit) == 0)
     return false;
 
   if (TREE_CODE (decl) != VAR_DECL)
@@ -2186,7 +2186,7 @@ rx_in_small_data (const_tree decl)
 
   size = int_size_in_bytes (TREE_TYPE (decl));
 
-  return (size > 0) && (size <= rx_small_data_limit);
+  return (size > 0) && (size <= GCC_OPTION (rx_small_data_limit));
 }
 
 /* Return a section for X.
@@ -2197,9 +2197,9 @@ rx_select_rtx_section (enum machine_mode mode,
 		       rtx x,
 		       unsigned HOST_WIDE_INT align)
 {
-  if (rx_small_data_limit > 0
-      && GET_MODE_SIZE (mode) <= rx_small_data_limit
-      && align <= (unsigned HOST_WIDE_INT) rx_small_data_limit * BITS_PER_UNIT)
+  if (GCC_OPTION (rx_small_data_limit) > 0
+      && GET_MODE_SIZE (mode) <= GCC_OPTION (rx_small_data_limit)
+      && align <= (unsigned HOST_WIDE_INT) GCC_OPTION (rx_small_data_limit) * BITS_PER_UNIT)
     return sdata_section;
 
   return default_elf_select_rtx_section (mode, x, align);
@@ -2210,7 +2210,7 @@ rx_select_section (tree decl,
 		   int reloc,
 		   unsigned HOST_WIDE_INT align)
 {
-  if (rx_small_data_limit > 0)
+  if (GCC_OPTION (rx_small_data_limit) > 0)
     {
       switch (categorize_decl_for_section (decl, reloc))
 	{
@@ -2398,7 +2398,7 @@ static rtx
 rx_expand_builtin_mvtipl (rtx arg)
 {
   /* The RX610 does not support the MVTIPL instruction.  */
-  if (rx_cpu_type == RX610)
+  if (GCC_OPTION (rx_cpu_type) == RX610)
     return NULL_RTX;
 
   if (! CONST_INT_P (arg) || ! IN_RANGE (INTVAL (arg), 0, (1 << 4) - 1))
@@ -2645,7 +2645,7 @@ rx_override_options_after_change (void)
 	 the use of RX FPU hardware then enable -ffinite-math-only,
 	 since the FPU instructions do not support NaNs and infinities.  */
       if (TARGET_USE_FPU)
-	flag_finite_math_only = 1;
+	GCC_OPTION (flag_finite_math_only) = 1;
 
       first_time = FALSE;
     }
@@ -2654,7 +2654,7 @@ rx_override_options_after_change (void)
       /* Alert the user if they are changing the optimization options
 	 to use IEEE compliant floating point arithmetic with RX FPU insns.  */
       if (TARGET_USE_FPU
-	  && !flag_finite_math_only)
+	  && !GCC_OPTION (flag_finite_math_only))
 	warning (0, "RX FPU instructions do not support NaNs and infinities");
     }
 }
@@ -2664,7 +2664,7 @@ rx_option_override (void)
 {
   unsigned int i;
   cl_deferred_option *opt;
-  vec<cl_deferred_option> *v = (vec<cl_deferred_option> *) rx_deferred_options;
+  vec<cl_deferred_option> *v = (vec<cl_deferred_option> *) GCC_OPTION (rx_deferred_options);
 
   if (v)
     FOR_EACH_VEC_ELT (*v, i, opt)
@@ -2703,17 +2703,17 @@ rx_option_override (void)
       }
 
   /* This target defaults to strict volatile bitfields.  */
-  if (flag_strict_volatile_bitfields < 0 && abi_version_at_least(2))
-    flag_strict_volatile_bitfields = 1;
+  if (GCC_OPTION (flag_strict_volatile_bitfields) < 0 && abi_version_at_least(2))
+    GCC_OPTION (flag_strict_volatile_bitfields) = 1;
 
   rx_override_options_after_change ();
 
-  if (align_jumps == 0 && ! optimize_size)
-    align_jumps = 3;
-  if (align_loops == 0 && ! optimize_size)
-    align_loops = 3;
-  if (align_labels == 0 && ! optimize_size)
-    align_labels = 3;
+  if (GCC_OPTION (align_jumps) == 0 && ! GCC_OPTION (optimize_size))
+    GCC_OPTION (align_jumps) = 3;
+  if (GCC_OPTION (align_loops) == 0 && ! GCC_OPTION (optimize_size))
+    GCC_OPTION (align_loops) = 3;
+  if (GCC_OPTION (align_labels) == 0 && ! GCC_OPTION (optimize_size))
+    GCC_OPTION (align_labels) = 3;
 }
 
 
@@ -2815,7 +2815,7 @@ rx_is_legitimate_constant (enum machine_mode mode ATTRIBUTE_UNUSED, rtx x)
     case SYMBOL_REF:
       return true;
     case CONST_DOUBLE:
-      return (rx_max_constant_size == 0 || rx_max_constant_size == 4);
+      return (GCC_OPTION (rx_max_constant_size) == 0 || GCC_OPTION (rx_max_constant_size) == 4);
     case CONST_VECTOR:
       return false;
     default:
@@ -3118,7 +3118,7 @@ rx_align_for_label (rtx lab, int uses_threshold)
   if (LABEL_P (lab) && LABEL_NUSES (lab) < uses_threshold)
     return 0;
 
-  return optimize_size ? 1 : 3;
+  return GCC_OPTION (optimize_size) ? 1 : 3;
 }
 
 static int
diff --git a/gcc/config/rx/rx.h b/gcc/config/rx/rx.h
index d99b19a..e4b1665 100644
--- a/gcc/config/rx/rx.h
+++ b/gcc/config/rx/rx.h
@@ -24,22 +24,22 @@
     {                                           \
       builtin_define ("__RX__"); 		\
       builtin_assert ("cpu=RX"); 		\
-      if (rx_cpu_type == RX610)			\
+      if (GCC_OPTION (rx_cpu_type) == RX610)			\
 	{					\
           builtin_define ("__RX610__");		\
           builtin_assert ("machine=RX610");	\
 	}					\
-      else if (rx_cpu_type == RX100)		\
+      else if (GCC_OPTION (rx_cpu_type) == RX100)		\
 	{					\
           builtin_define ("__RX100__");		\
           builtin_assert ("machine=RX100");	\
 	}					\
-      else if (rx_cpu_type == RX200)		\
+      else if (GCC_OPTION (rx_cpu_type) == RX200)		\
 	{					\
           builtin_define ("__RX200__");		\
           builtin_assert ("machine=RX200");	\
         }					\
-      else if (rx_cpu_type == RX600)		\
+      else if (GCC_OPTION (rx_cpu_type) == RX600)		\
         {					\
           builtin_define ("__RX600__");		\
           builtin_assert ("machine=RX600");	\
@@ -433,9 +433,9 @@ typedef unsigned int CUMULATIVE_ARGS;
 /* Compute the alignment needed for label X in various situations.
    If the user has specified an alignment then honour that, otherwise
    use rx_align_for_label.  */
-#define JUMP_ALIGN(x)				(align_jumps ? align_jumps : rx_align_for_label (x, 0))
-#define LABEL_ALIGN(x)				(align_labels ? align_labels : rx_align_for_label (x, 3))
-#define LOOP_ALIGN(x)				(align_loops ? align_loops : rx_align_for_label (x, 2))
+#define JUMP_ALIGN(x)				(GCC_OPTION (align_jumps) ? GCC_OPTION (align_jumps) : rx_align_for_label (x, 0))
+#define LABEL_ALIGN(x)				(GCC_OPTION (align_labels) ? GCC_OPTION (align_labels) : rx_align_for_label (x, 3))
+#define LOOP_ALIGN(x)				(GCC_OPTION (align_loops) ? GCC_OPTION (align_loops) : rx_align_for_label (x, 2))
 #define LABEL_ALIGN_AFTER_BARRIER(x)		rx_align_for_label (x, 0)
 
 #define ASM_OUTPUT_MAX_SKIP_ALIGN(STREAM, LOG, MAX_SKIP)	\
@@ -626,7 +626,7 @@ typedef unsigned int CUMULATIVE_ARGS;
 
 /* For PIC put jump tables into the text section so that the offsets that
    they contain are always computed between two same-section symbols.  */
-#define JUMP_TABLES_IN_TEXT_SECTION	(TARGET_PID || flag_pic)
+#define JUMP_TABLES_IN_TEXT_SECTION	(TARGET_PID || GCC_OPTION (flag_pic))
 
 /* This is a version of REG_P that also returns TRUE for SUBREGs.  */
 #define RX_REG_P(rtl) (REG_P (rtl) || GET_CODE (rtl) == SUBREG)
